#include <stdio.h>

#define FIFO_SIZE 10

int fifo[FIFO_SIZE];
int fifo_pointer = 0;

void push (int x)
{
  fifo[fifo_pointer++] = x;
}

int pop (void)
{
  int result = fifo[0];
  for (int i = 1; i < FIFO_SIZE; i++)
    fifo[i - 1] = fifo[i];
  fifo_pointer--;
  return result;
}

int main (void)
{
  push (3);
  push (7);
  push (137);
  printf ("%d\n", pop ());
  printf ("%d\n", pop ());
  printf ("%d\n", pop ());
  push (42);
  printf ("%d\n", pop ());
  return 0;
}
