#include <stdio.h>
#include <stdlib.h>

#define STACK_SIZE 10

int stack[STACK_SIZE];
int stack_pointer = 0;

void push (int x)
{
  if (stack_pointer < STACK_SIZE)
    stack[stack_pointer++] = x;
  else
    {
      fprintf (stderr, "stack overflow\n");
      exit (1);
    }
}

int pop (void)
{
  if (stack_pointer > 0)
    return stack[--stack_pointer];
  else
    {
      fprintf (stderr, "stack underflow\n");
      exit (1);
    }
}

int main (void)
{
  for (int i = 0; i < 42; i++)
    push (i);
  printf ("%d\n", pop ());
  printf ("%d\n", pop ());
  printf ("%d\n", pop ());
  return 0;
}
