#include <stdio.h>
#include <stdlib.h>

typedef struct
{
  char symbol;
  int (*calculate) (int a, int b);
}
operation;

operation *new_operation (void)
{
  operation *op = malloc (sizeof (operation));
  op->symbol = '?';
  op->calculate = NULL;
  return op;
}

[...]

int main (void)
{
  operation *op[4];
  op[0] = new_plus ();
  op[1] = new_minus ();
  op[2] = new_times ();
  op[3] = NULL;
  for (int i = 0; op[i]; i++)
    printf ("2 %c 3 = %d\n", op[i]->symbol, op[i]->calculate (2, 3));
  return 0;
}
