#include <stdio.h>

int IsLeapYear (int year)
{
  if (year % 4)
    return 0;
  else if (year % 100)
    return 1;
  else if (year % 400)
    return 0;
  else
    return 1;
}

int DaysInYear (int year)
{
  if (IsLeapYear (year))
    return 366;
  else
    return 365;
}

int main (void)
{
  int ORIGINYEAR = 1980;
  int days = 366;
  int year;

  year = ORIGINYEAR;  /* = 1980 */

  while (days > DaysInYear (year))
    {
      days -= DaysInYear (year);
      year += 1;
    }

  printf ("year = %d\ndays = %d\n", year, days);
  return 0;
}
