#include <stdio.h>
#include <stdint.h>

void print_hex (uint32_t x)
{
  char digit[8];
  for (int i = 0; i < 8; i++)
    {
      digit[i] = x % 16;
      x /= 16;
    }
  int printing = 0;
  for (int i = 7; i >= 0; i--)
    {
      if (printing || digit[i] != 0)
        {
          printing = 1;
          if (digit[i] < 10)
            printf ("%d", digit[i]);
          else
            printf ("%c", 'a' + digit[i] - 10);
        }
    }
}

int main (void)
{
  print_hex (0xcafe42);
  printf ("\n");
  return 0;
}
