#include <stdio.h>

#define FIFO_SIZE 10

int fifo[FIFO_SIZE];
int fifo_write_pointer = 0;
int fifo_read_pointer = 0;

void push (int x)
{
  fifo[fifo_write_pointer++] = x;
  if (fifo_write_pointer >= FIFO_SIZE)
    fifo_write_pointer = 0;
}

int pop (void)
{
  int result = fifo[fifo_read_pointer++];
  if (fifo_read_pointer >= FIFO_SIZE)
    fifo_read_pointer = 0;
  return result;
}

int main (void)
{
  push (3);
  push (7);
  push (137);
  printf ("%d\n", pop ());
  printf ("%d\n", pop ());
  printf ("%d\n", pop ());
  push (42);
  printf ("%d\n", pop ());
  return 0;
}
